%define upstream_name    Dist-Build
%define upstream_version 0.016

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Dist::Build extension integrating ExtUtils::Constant
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(CPAN::Meta::Merge)
BuildRequires: perl(CPAN::Meta::Merge)
BuildRequires: perl(CPAN::Requirements::Dynamic)
BuildRequires: perl(CPAN::Requirements::Dynamic)
BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::Builder::Action::Function)
BuildRequires: perl(ExtUtils::Builder::Action::Function)
BuildRequires: perl(ExtUtils::Builder::AutoDetect::C)
BuildRequires: perl(ExtUtils::Builder::Conf)
BuildRequires: perl(ExtUtils::Builder::Node)
BuildRequires: perl(ExtUtils::Builder::Node)
BuildRequires: perl(ExtUtils::Builder::ParseXS)
BuildRequires: perl(ExtUtils::Builder::Planner)
BuildRequires: perl(ExtUtils::Builder::Planner)
BuildRequires: perl(ExtUtils::Builder::Planner::Extension)
BuildRequires: perl(ExtUtils::Builder::Planner::Extension)
BuildRequires: perl(ExtUtils::Builder::Serializer)
BuildRequires: perl(ExtUtils::Builder::Serializer)
BuildRequires: perl(ExtUtils::Builder::Util)
BuildRequires: perl(ExtUtils::Builder::Util)
BuildRequires: perl(ExtUtils::Config)
BuildRequires: perl(ExtUtils::Config)
BuildRequires: perl(ExtUtils::HasCompiler)
BuildRequires: perl(ExtUtils::Helpers)
BuildRequires: perl(ExtUtils::Helpers)
BuildRequires: perl(ExtUtils::Install)
BuildRequires: perl(ExtUtils::InstallPaths)
BuildRequires: perl(ExtUtils::InstallPaths)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::ShareDir::Tiny)
BuildRequires: perl(File::ShareDir::Tiny)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open2)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::Util)
BuildRequires: perl(List::Util)
BuildRequires: perl(Parse::CPAN::Meta)
BuildRequires: perl(Parse::CPAN::Meta)
BuildRequires: perl(Pod::Man)
BuildRequires: perl(TAP::Harness::Env)
BuildRequires: perl(TAP::Harness::Env)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::ParseWords)
BuildRequires: perl(XSLoader)
BuildRequires: perl(blib)
BuildRequires: perl(lib)
BuildRequires: perl(parent)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
'Dist::Build' is a Build.PL implementation. Unlike the Module::Build::Tiny
manpage it is extensible, unlike the Module::Build manpage it uses a build
graph internally which makes it easy to combine different customizations.
It's typically extended by adding a '.pl' script in 'planner/'. E.g.

 load_module("Dist::Build::ShareDir");
 dist_sharedir('share', 'Foo-Bar');
 
 load_module("Dist::Build::XS");
 add_xs(
   libraries     => [ 'foo' ],
   extra_sources => [ glob 'src/*.c' ],
 );

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc README Changes LICENSE INSTALL META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Tue Jan 28 2025 tv <tv> 0.16.0-1.mga10
+ Revision: 2143144
- imported package perl-Dist-Build


* Tue Jan 28 2025 cpan2dist 0.016-1mga
- initial mageia release, generated with cpan2dist
